> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/webhook/manage-url/query-webhook-url.md).

# Query Webhook URL

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/webhook/query-webhook-list`

### **Request Body**

**Refer to :** [**common**](/reference/remittance-api/common.md)

**Biz\_data :**

| Name                                          | Type    | Description                                                                                 |
| --------------------------------------------- | ------- | ------------------------------------------------------------------------------------------- |
| partner\_id<mark style="color:red;">\*</mark> | string  | Partner ID                                                                                  |
| webhook\_id                                   | long    | Webhook Id                                                                                  |
| webhook\_type                                 | integer | <p>Webhook type,</p><p>Refer to :<a href="/pages/XhFwW5yzWfL7Yw0vNojo">Webhook Type</a></p> |

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": {
        "webhook_id": 100011,
        "webhook_type":1,
        "webhook_url":"",
        "webhook_desc":"",
        "create_time":""
    },
    "random_key":"sdddddd2ww12dd",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name          | Type    | Description  |
| ------------- | ------- | ------------ |
| webhook\_id   | long    | webhook ID   |
| webhook\_type | integer | webhook type |
| webhook\_url  | string  | webhook url  |
| webhook\_desc | string  | webhook url  |
| create\_time  | string  | create time  |

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/webhook/query-webhook-list' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id":"000000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8ljJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8l"
}'
```

```
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
